<?php
/**
 * @package     plg_easyshop_related
 * @version     1.1.0
 * @Author      www.joomtech.net
 * @copyright   Copyright (C) 2015 - 2018 www.joomtech.net. All Rights Reserved.
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die;
/**
 * @var $displayData array
 * @var $renderer    \ES\LayoutHelper
 * @var $products    array
 * @var $config      \Joomla\Registry\Registry
 * @var $params      \Joomla\Registry\Registry
 */

extract($displayData);

$layoutId      = $params->get('use_carousel') ? 'product.slider' : 'product.products';
$slideNav      = $params->get('carousel_nav', '1');
$slideDots     = $params->get('carousel_dots', '1');
$slideAutoPlay = $params->get('carousel_autoplay', '1');
$columnInRow   = (int) $params->get('product_list_columns', 3);
$slideRows     = (int) $params->get('slider_rows', 1);

?>

<?php if ((int) $params->get('display_on', '0') === 1): ?>
    <h3 class="uk-h5 uk-heading-bullet uk-text-uppercase">
		<?php echo JText::_('PLG_EASYSHOP_RELATED_DISPLAY_TAB_TITLE'); ?>
    </h3>
<?php endif; ?>

<div id="es-related-products" class="product-list">
	<?php echo $renderer->render($layoutId, [
		'products'      => $products,
		'config'        => $config,
		'slideNav'      => $slideNav,
		'slideDots'     => $slideDots,
		'slideAutoPlay' => $slideAutoPlay,
		'columnInRow'   => $columnInRow,
		'slideRows'     => $slideRows,
	]); ?>
</div>
